Release Notes

Ken Siprell edited this page Jun 10, 2015 · 39 revisions
Clone this wiki locally

Version 1.0.5, 10 June 2015

  • Updated atmosphere-runtime to 2.3.2. Atmosphere versions 2.3.0 and 2.3.1 have a bug that prevents proper MeteorServlet initialization.

  • Changed MeteorServlet.framework property to a method. See the MeteorServlet artifact for an example on how to refactor your class so it will work with Atmosphere 2.3.2.

Version 1.0.4, 21 November 2014

  • Fixed issue 49

  • Updated atmosphere-runtime to 2.2.3

Version 1.0.3, 27 September2014

  • Updated atmosphere-runtime to 2.2.1.

Version 1.0.2, 27 September2014

  • Possible BREAKING CHANGE: Renamed the AtmosphereMeteorBean class to AtmosphereMeteor. The could affect you if you were injecting the bean by type:

AtmosphereMeteorBean atmosphereMeteor

instead of

def atmosphereMeteor

Version 1.0.1, 2 September2014

  • Fix issue #43

  • Improved plugin logging with “org.grails.plugins.atmosphere_meteor"

Version 1.0.0, 24 August 2014

  • Added atmosphereMeteor bean with the following properties:

    framework // returns the AtmosphereFramework instance

    broadcasterFactory // returns the default BroadcasterFactory instance

  • Deprecated AtmosphereConfigurationHolder.framework since the atmosphereMeteor bean makes it obsolete
  • Removed the deprecated ApplicationContextHolder class

Version 0.9.2, 14 August 2014

Version 0.9.1, 14 August 2014

Version 0.9.0, 10 August 2014

  • Fixed issue #38
  • Updated to atmosphere-runtime 2.2.0
  • Added AtmosphereConfigurationHolder.framework
  • Added AtmosphereMeteorService.broadcast()
  • Built with Grails 2.4.3

Version 0.8.5, 9 July 2014

Version 0.8.4, 1 June 2014

  • Fixed issue #35
  • Updated to atmosphere-runtime 2.1.5
  • Built with Grails 2.4.0

Version 0.8.3, 2 April 2014

  • Fixed issue #34: plugin (atmosphere-runtime 2.1.2) now works with Tomcat 7.0.52 and 8

Version 0.8.2, 25 March 2014

Version 0.8.1, 24 March 2014

  • Fixed bug whereby a configuration check for "grails.tomcat.nio" results in an NPE.

Version 0.8.0, 19 March 2014

  • Plugin supports both the asset-pipeline and resources plugins.

  • Plugin no longer makes changes in the parent app’s BuildConfig.groovy. However, it does check for breaking configuration options in the parent app and logs an error and prints an error message to the console.

  • Plugin no longer puts AtmosphereMeteorResources.groovy in the app’s grails-app/conf directory; however, the modules are still available.

Version 0.7.1, 5 February 2014

  • Fixed a bug that generated this warning: Failed using comet support: org.atmosphere.container.Tomcat7AsyncSupportWithWebSocket.

  • Updated to Atmosphere Framework version 2.1.

  • Reverted to atmosphere-runtime instead of atmosphere-runtime-native.

  • Deprecated org.grails.plugins.atmosphere_meteor.ApplicationContextHolder in favor of grails.util.Holders.

  • Added org.grails.plugins.atmosphere_meteor.AtmosphereConfigurationHolder to get the atmosphere configuration.

Version 0.7.0, 26 October 2013

  • Uses atmosphere-runtime-native instead of atmosphere-runtime

  • Supports Jetty 8 (issue # 25)

  • Supports Grails 2.3.1

  • Added logging for MeteorServlet artifact

  • Plugin now makes only minor changes to BuildConfig.groovy

  • Cleaned up installation process

Version 0.6.2, 12 October 2013

  • Atmosphere 2.0.3

  • Added update-atmosphere-meteor-javascript script to update the plugin's Atmosphere Javascript files without requiring a plugin update.

Version 0.6.1, 11 October 2013:

  • Atmosphere 2.0.1

  • Fixed issue #24

  • Stopped supporting Grails versions older than 2.1.0

Version 0.6.0, 23 September 2013:

Version 0.5.4, 30 June 2013:

  • Fixed doWithSpring bug.

Version 0.5.3, 29 June 2013:

  • Fixed issue with long-polling and socket.push losing the suspended connection. Your existing doGet and doPost methods will need updating. See the sample application, especially ChatMeteorHandler.groovy, for how to do it.

  • ApplicationContextHolder is now available in the plugin's parent application without having to configure it in grails-app/conf/spring/resources.groovy.

Version 0.5.2, 26 June 2013:

  • Major improvements and variety in the sample application

  • Servlets are now registered with async-supported = true

  • Updated AtmosphereResources.groovy with modules for atmosphere.js and jquery.atmosphere.js

  • Added interceptors to the default AtmosphereMeteorConfig.groovy

  • Removed jquery plugin dependency

  • Removed resources plugin dependency

  • Removed initParam org.atmosphere.cpr.CometSupport.maxInactiveActivity

Version 0.5.1, 16 June 2013:

  • Fixed bugs in _Install-groovy. Plugin should now update dependencies in the application's BuildConfig.groovy.

Version 0.5.0, 16 June 2013:

  • Updated atmosphere-runtime from 1.0.13 to 1.1.0.RC4.

  • Updated JavaScript to latest version of jquery.atmosphere.js.

  • Removed all non-plugin related items from the plugin. It can no longer be run as a standalone app.

  • Created a sample app grails-atmosphere-meteor-sample to demonstrate how the plugin works.